# Interface UserDatabase

All Known Implementing Classes:
  `HomesUserDatabase, PasswdUserDatabase`

public interface UserDatabase
Abstraction of the set of users defined by the operating system on the current server platform.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHome(String user)`
Return an absolute pathname to the home directory for the specified user.
`UserConfig`
`getUserConfig()`
Return the UserConfig listener with which we are associated.
`Enumeration<String>`
`getUsers()`
Return an enumeration of the usernames defined on this server.
`void`
`setUserConfig(UserConfig userConfig)`
Set the UserConfig listener with which this UserDatabase is associated.

## Method Details

### getUserConfig

UserConfig getUserConfig()
Return the UserConfig listener with which we are associated.

Returns:
  the UserConfig listener

### setUserConfig

void setUserConfig(UserConfig userConfig)
Set the UserConfig listener with which this UserDatabase is associated.

Parameters:
  `userConfig` - The new UserConfig listener

### getHome

String getHome(String user)
Return an absolute pathname to the home directory for the specified user.

Parameters:
  `user` - User for which a home directory should be retrieved
Returns:
  the home directory path

### getUsers

Enumeration<String> getUsers()
Return an enumeration of the usernames defined on this server.

Returns:
  the enumeration of usernames